Skip to main content
GET
/
modrinth
/
search
Search Modrinth
curl --request GET \
  --url https://your-domain.com/api/client/v1/modrinth/search \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "total_hits": 123,
  "offset": 123,
  "limit": 123,
  "query": "<string>",
  "results": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
limit
integer
default:10
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
index
enum<string>
default:relevance
Available options:
relevance,
downloads,
follows,
newest,
updated
project_type
string
versions
string
loaders
string
categories
string
server_side
enum<string>
Available options:
required,
optional

Response

200 - application/json

Search results

count
integer
total_hits
integer
offset
integer
limit
integer
query
string
results
object[]